Add multiple curves in one button

Hello,
When I Click the button “Add cabin” in the control window I can add a curve by clicking two points.
When I Click the second time on the button I can make another curve but when I do, the first curve disappears. Is it possible to add multiple curves by using one button on the control window in the Grasshopper environment? So yes, how can I do that?

Kind regards,

Jan Sietse

It might work to make it into a loop with an escape routine, maybe using esc button, and make the cabin into a list.

The list could be something like:
cabins = [ ]

#do your selection

cabins.append(rs.AddRectangle(plane,x1,x2))

sorry if syntax is off, im a newbie

-Rasmus

Thanks!